%normalizer
% Normalizes a .mp3 file
%
function normalizer

%Choose file
[FILENAME, PATHNAME, FILTERINDEX] =...
    uigetfile('*.mp3', 'Choose .mp3 file to normalize','MultiSelect','On');

%Start clock
t0 = tic;

%Load .mp3 file(s)
if iscell(FILENAME)==1
    disp(' ');
    for n=1:length(FILENAME)
        [s,Fs,Nbits] = mp3read( [PATHNAME,FILENAME{n}] );
        
        %Normalize sound data
        max_s = max(max(abs(s)));
        s = s./max_s;
        
        %Write out normalized .mp3 file
        disp([ 'Normalizing file: ',FILENAME{n},' ...'] );
        mp3write( s, Fs, [PATHNAME,'n ',FILENAME{n}] );
    end
    
end
disp(['Normalization completed in ',num2str(toc(t0)/60), ' minutes.']);
disp(' ');

%End of code